# Get token via password grant

Exchange username password via password OAuth grant for an access token.

Endpoint: POST /compass/token

## Request fields (application/x-www-form-urlencoded):

  - `grant_type` (string)
    The grant type. The only valid value right now is password
    Enum: "password"

  - `username` (string)
    Your compass username
    Example: "myEmail@gmail.com"

  - `password` (string)
    Your compass password
    Example: "myP@ssword123"

## Response 200 fields (application/json):

  - `access_token` (string)
    The access token to use for API requests.
    Example: "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"

  - `token_type` (string)
    Token type, typically "Bearer".
    Example: "Bearer"

  - `expires_in` (integer)
    Time in seconds until the access token expires.
    Example: 3600

## Response 400 fields (application/json):

  - `error_code` (string)
    Error code.

  - `msg` (string)
    Description of the error.


